const moment_timeZone = require('moment-timezone');

/**
 * Get the current Date object in IST timezone
 * @returns {Date} - JavaScript Date object adjusted to IST
 */
function getISTDateObject() {
    return moment_timeZone().tz('Asia/Kolkata').toDate();
}

module.exports = getISTDateObject;
